#!/bin/sh

sink_mute=$(pactl get-sink-mute @DEFAULT_SINK@)
case "$sink_mute" in
	*yes*) sink_res=M;;
	*) sink_res=$(pactl get-sink-volume @DEFAULT_SINK@ | sed -e 's/.*\s\([0-9]*\)%.*/\1/;t;d');;
esac

source_mute=$(pactl get-source-mute @DEFAULT_SOURCE@)
case "$source_mute" in
	*yes*) source_res=M;;
	*) source_res=$(pactl get-source-volume @DEFAULT_SOURCE@ | sed -e 's/.*\s\([0-9]*\)%.*/\1/;t;d');;
esac

bt_status="$(bluetoothctl devices Connected)"
if [ -n "$bt_status"  ]; then
	sink_icon=🎧
else
	sink_icon=🔈
fi

echo "$sink_icon $sink_res% 🎙 $source_res%"

